Bug 1122071 - [RFE]: [SNAPSHOT]: good to have snapshot deactivate force option to deactivate when snapshot is in inconsistent state
Summary: [RFE]: [SNAPSHOT]: good to have snapshot deactivate force option to deactivat...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: snapshot
Version: rhgs-3.0
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
: ---
Assignee: Avra Sengupta
QA Contact: Rahul Hinduja
URL:
Whiteboard: SNAPSHOT
Depends On:
Blocks: 1122378
TreeView+ depends on / blocked
 
Reported: 2014-07-22 13:18 UTC by Rahul Hinduja
Modified: 2016-10-21 09:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
: 1122378 (view as bug list)
Environment:
Last Closed: 2016-10-21 09:49:17 UTC


Attachments (Terms of Use)

Description Rahul Hinduja 2014-07-22 13:18:30 UTC
Description of problem:
=======================

To resolve the problem mentioned in bz 1122064, it is good to have a force option along with snapshot deactivate. In some cases where we have inconsistent state of snapshot (i.e deactivated on some nodes and activated on other nodes), the deactivate force will deactivate the snap on all the nodes. Other wise to deactivate on all the nodes, we need to first activate using force and than use deactivate.

Version-Release number of selected component (if applicable):
=============================================================

glusterfs-3.6.0.25-1.el6rhs.x86_64


How reproducible:
=================
1/1


Steps to Reproduce:
===================
1. Have a volume from multi cluster node
2. Create a snapshot 
3. Bring down one of the node in cluster
4. Deactivate the snapshot, which should be successful
5. Bring back the node UP
6. Check the status of the snapshot

Actual results:
===============
snapshot status is inconsistent on the cluster (activated on few and deactivated on others). No deactivate force option is available to deactivate forcefully on all the nodes.


Expected results:
=================
deactivate force option should be available to deactivate forcefully on all the nodes where we have inconsistent state(activated and deactivated) of snap.

Comment 3 Avra Sengupta 2016-07-14 08:38:16 UTC
After fix of https://bugzilla.redhat.com/show_bug.cgi?id=1122064 is this issue still reproducible in any scenario. If so, then we can implement force option for deactivate, if not we should close this bug.

Comment 4 Avra Sengupta 2016-10-21 09:49:17 UTC
As described in comment #3, this RFE is no longer needed, as snapshots do handshake now in cases where a node was down. Closing the bug.


Note You need to log in before you can comment on or make changes to this bug.